<?php

class Record
{
	public $ID;
	public $RecordTypeID;
	public $RecordTypeName;
	public $CreatedBy;
	public $CreatedOn;
	public $ModifiedBy;
	public $ModifiedOn;
	public $ModeratedBy;
	public $ModeratedOn;
	public $State;
	public $RecordStateID;
	public $Reason;
	public $Spam;
	public $Flagged;
	public $AbuseCount;
	public $Illegal;
	public $Values = array();
	
	
	function __construct($rawData=NULL) {
       if(isset($rawData)){
			$this->ParseObject($rawData);
       }
	}
	
	public function ParseObject($Obj)
	{
		if(isset($Obj->ID)){
			$this->ID = $Obj->ID;
		}
		if(isset($Obj->RecordTypeID)){
			$this->RecordTypeID = $Obj->RecordTypeID;
		}
		if(isset($Obj->RecordTypeName)){
			$this->RecordTypeName = $Obj->RecordTypeName;
		}
		if(isset($Obj->CreatedBy)){
			$this->CreatedBy = $Obj->CreatedBy;
		}
		if(isset($Obj->CreatedOn)){
			$this->CreatedOn = $Obj->CreatedOn;
		}
		if(isset($Obj->ModifiedBy)){
			$this->ModifiedBy = $Obj->ModifiedBy;
		}
		if(isset($Obj->ModifiedOn)){
			$this->ModifiedOn = $Obj->ModifiedOn;
		}
		if(isset($Obj->ModeratedBy)){
			$this->ModeratedBy = $Obj->ModeratedBy;
		}
		if(isset($Obj->ModeratedOn)){
			$this->ModeratedOn = $Obj->ModeratedOn;
		}
		if(isset($Obj->State)){
			$this->State = $Obj->State;
		}
		if(isset($Obj->RecordStateID)){
			$this->RecordStateID = $Obj->RecordStateID;
		}
		if(isset($Obj->Reason)){
			$this->Reason = $Obj->Reason;
		}
		if(isset($Obj->Spam)){
			$this->Spam = $Obj->Spam;
		}
		if(isset($Obj->Flagged)){
			$this->Flagged = $Obj->Flagged;
		}
		if(isset($Obj->AbuseCount)){
			$this->AbuseCount = $Obj->AbuseCount;
		}
		if(isset($Obj->Illegal)){
			$this->Illegal = $Obj->Illegal;
		}
		
		//Add all the value entries
		//$this->Values = $Obj->Values->KeyValueOfstringanyType
		
		for($i=0; $i<count($Obj->Values->KeyValueOfstringanyType); $i++)
		{
			$item = $Obj->Values->KeyValueOfstringanyType[$i];
			$this->Values[$i]->Key = $item->Key;
			$this->Values[$i]->Value = $item->Value;
		}
	}
}
?>