<?php
require_once("$ROOT/model/Record.php");

class PagedResults
{
	public $TotalRecords;
	public $RecordOffset;

	public $Records = array();
	
	function __construct($rawData=NULL) {
       if(isset($rawData)){
	
			$this->ParseObject($rawData);
       }
	}
	
	public function ParseObject($Obj)
	{
		if(isset($Obj->TotalRecords)){
			$this->TotalRecords = $Obj->TotalRecords;
		}
		if(isset($Obj->RecordOffset)){
			$this->RecordOffset = $Obj->RecordOffset;
		}
		
		//Add all the value entries
    
    if(count($Obj->Records->Record) >1){
		  for($i=0; $i<count($Obj->Records->Record); $i++)
		  {
			  $RecordItem = new Record($Obj->Records->Record[$i]);
			  $this->Records[$i] = $RecordItem;
		  }
    }
    else{
      $this->Records[0] = $Obj->Records->Record;
    }
	}
}
?>