<html>
  <head>
    <title>Video Details</title>

  </head>
  <body>
  <?php
    /*File which defines a global variable for the $ROOT variable at each directory level*/
    require_once("root.inc.php");
    require_once("$ROOT/lib/AgilityUCGBase.inc.php");
  ?>

    <div id="VideoTitle"></div>
	
   <div id="VideoArea">
		
   </div>
	<h3>Comments</h3>
	<div id="Comments">
		Loading...
	</div>
	
	<div>
		<h3>Leave a Comment</h3>
		<div>Email: <br><input type="Text" id="txtEmail"/></div>
		<div>Username: <br><input type="Text" id="txtUsername"/></div>
		<div>Comment: <br><textarea id="txtComment" style="width:300px;"></textarea></div>
		<div><input type="submit" onClick="SubmitComment();" value="Submit Comment"/></div>
	</div>

	<script type="text/Javascript">
		
		function GetVideo()
		{
			var VideoID = getQuerystring("VideoID");
			
			

            Agility.UGC.API.GetRecord(VideoID, function(data) {
				if (data.ResponseType != Agility.UGC.API.ResponseType.OK) {
                    alert(data.Message);
                } else {
					if (data.ResponseData!=null) {
						
						RenderVideo(data.ResponseData);
					}
					else {
						alert("Video could not be found");
					}
                }
            });
		
			LoadComments();
			 
		}
		
		function LoadVideo(VideoID) {

			var params = { allowScriptAccess: "always", wmode: "transparent" };

			var atts = { id: "VideoArea" };
			swfobject.embedSWF("http://www.youtube.com/v/" + VideoID + "?enablejsapi=1&playerapiid=ytplayer&showsearch=0&showinfo=0&rel=0", "VideoArea", "958", "502", "8", null, null, params, atts);
			


		}

		
		function LoadComments(){
			var searchVar = "RelatedToID = " + getQuerystring("VideoID");
			
			var searchArg = {
                RecordTypeName: "Comments",
                PageSize: 100,
                RecordOffset: 0,
                Search: searchVar
            }


            Agility.UGC.API.SearchRecords(searchArg, function(data) {
				if (data.ResponseType != Agility.UGC.API.ResponseType.OK) {
                    alert(data.Message);
                } else {
					$("#Comments").html("");
					for(var i=0; i<data.ResponseData.Records.length; i++){
	
						$("#Comments").append("<div><b><i>Submitted By: " + data.ResponseData.Records[i].UserName + " on: " + data.ResponseData.Records[i].CreatedOn + "</i></b><br>" + data.ResponseData.Records[i].Comment);
					}
                }
            });
		
		}
		
		function RenderVideo(Video){
			
			$("#VideoTitle").html("<h1>" + Video.Title + "</h1>");
			
			LoadVideo(Video.YouTubeVideo.VideoID);
		}
		
		function getQuerystring(key, default_)
		{
		  if (default_==null) default_="";
		  key = key.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
		  var regex = new RegExp("[\\?&]"+key+"=([^&#]*)");
		  var qs = regex.exec(window.location.href);
		  if(qs == null)
			return default_;
		  else
			return qs[1];
		}
		
		function SubmitComment(){
			var newComment = {
                RecordTypeName: "Comments",
                RelatedToType: "YouTubeVideo",
                RelatedToID: getQuerystring("VideoID"),
                EmailAddress: $("#txtEmail").val(),
                UserName: $("#txtUsername").val(),
                Comment: $("#txtComment").val()
            }

            Agility.UGC.API.SaveRecord(newComment, function(actSaveData) {
                if (actSaveData.ResponseType != Agility.UGC.API.ResponseType.OK) {
                    alert(actSaveData.Message);
                } else {
                   alert("Comment has been successfully submitted, Please wait for your comment to be approved.");
					$("#txtEmail").val("");
					$("#txtUsername").val("");
					$("#txtComment").val("");
                }
            });	
		}
		
		
		$(document).ready(function() {
				GetVideo();
			});
	</script>

  </body>
</html>

